<?php

declare(strict_types=1);

namespace App\Enum\Access;

use App\Enum\EnumMethodsTrait;

/**
 * Type of function.
 */
enum TypeFunctionEnum: string
{
    use EnumMethodsTrait;

    case ACTIVITIES_FUNCTION = 'ACTIVITIES_FUNCTION';
    case ADMINISTRATIVES_FUNCTION = 'ADMINISTRATIVES_FUNCTION';
    case PEDAGOGICS_FUNCTION = 'PEDAGOGICS_FUNCTION';
    case ASSOCIATIVES_FUNCTION = 'ASSOCIATIVES_FUNCTION';
    case OTHER_FUNCTION = 'OTHER_FUNCTION';
}
